Skip to main content

Get counter

GET{{server}}/api/v1/counter/device

This endpoint returns the counter entity based on the presented Websocket ID in the X-WSID header.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Code snippets​

curl -X GET '{{server}}/api/v1/counter/device' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}'

Examples (2)​

Example request
GET{{server}}/api/v1/counter/device
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length903
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"type": 10,
"key": "00000000-0000-4000-0010-000000000003",
"name": "Web counter 1",
"category": "counter",
"deviceType": 19,
"websocketID": "counter1",
"clientID": "0",
"deviceID": "19",
"branch": "00000000-0000-4000-0003-000000000001",
"special": {
"number": 1,
"animation": true,
"displayGroups": [
{
"key": "18d21b95-7ca5-4e13-b6f9-af1edffb6cbc"
},
{
"key": "18d79492-c467-4347-5334-00cb02a349b3"
},
{
"key": "18dd180c-63a3-408f-e7fb-838eae363006"
},
{
"key": "18e1d208-2d5c-469e-8153-f0c00e11dd16"
},
{
"key": "18f1426f-13a6-499f-415d-c240db586057"
},
{
"key": "18f14500-ef51-4836-139a-37863bd92381"
},
{
"key": "188911b8-5793-412a-b6b8-fd0fd3c27a9b"
}
],
"kind": 1,
"displays": [
"188afdea-5666-4433-c6e7-067d6fef35e3",
"18d5513d-4b96-4640-aa68-529387b4601a"
],
"soundPlayers": [
"188c371c-d0b2-4dd9-7a73-d9a208185986",
"18d79492-3616-43c7-8fe2-1203892967d9"
],
"feedback": null,
"voiceRecorder": null,
"room": "Room 101"
},
"status": 1,
"aspect": null,
"time": 1715935869782
}